package com.ydl.user

import com.ydl.user.http.request.LoginParam
import com.yidianling.router.user.UserResponse
import com.ydl.user.http.UserHttp
import com.ydl.user.http.UserHttpImpl
import com.yidianling.ydlcommon.http.BaseResponse
import io.reactivex.Observable

/**
 * author : Zhangwenchao
 * e-mail : zhangwch@yidianling.com
 * time   : 2018/02/02
 */
class LoginModel: LoginContract.Model {

    override fun login(param: LoginParam): Observable<BaseResponse<UserResponse>> {
        val userHttp: UserHttp = UserHttpImpl.getInstance()
        return userHttp.login(param)
    }

}