package com.yidianling.ydlcommon.constant

/**
 * 常量类
 *
 * author : Zhangwenchao
 * e-mail : zhangwch@yidianling.com
 * time   : 2018/02/01
 */
class YDLConstants {

    companion object {
        /**
         * 网络请求中的占位参数名称
         * 用于某些请求中不需要参数时，传入一个假的参数
         */
        const val HOLDER_PARAM = "holder_param"
        // activity 跳转时传递数据的 bundle 的名称
        const val BUNDLE = "bundle"
        const val BIND_PHONE_ACTION = "wxbind"
        const val HELP_URL = "https://h2.yidianling.com/ex-help/96"
        const val SILENCED_CODE = 1000020
        const val PUBLISH_TYPE = "publish_type"
    }

}