package com.yidianling.ydlcommon.data.http.api;

import com.yidianling.ydlcommon.bean.MustUP;
import com.yidianling.ydlcommon.data.http.BaseAPIResponse;
import com.yidianling.ydlcommon.data.http.BaseResponse;
import io.reactivex.Observable;
import okhttp3.RequestBody;
import retrofit2.http.*;

import java.util.Map;

import static com.yidianling.ydlcommon.base.config.AppConfigKt.YDL_DOMAIN;
import static com.yidianling.ydlcommon.base.config.AppConfigKt.YDL_DOMAIN_JAVA;

/**
 * 网络请求api
 * Created by Emma on 2016/8/23.
 */
interface NetApiStore {
    //强制更新埋点
    @FormUrlEncoded
    @POST("site/cmd")
    Observable<BaseResponse<MustUP>> appWillUp(@FieldMap Map<String, String> params);

    //登录异常上传接口日志
    @POST("uc/log")
    @FormUrlEncoded
    Observable<BaseResponse> upLoadLoginStatus(@FieldMap Map<String, String> maps);

    //行为动作埋点统计接口
    @Headers(YDL_DOMAIN+ YDL_DOMAIN_JAVA)
    @POST("data/bigdata/maidian/writeMaiDianData")
    Observable<BaseAPIResponse<String>> actionDataCount(@Body RequestBody body);

}
